<?xml version='1.0' encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet SYSTEM "mmlents/windob.dtd">
<!--
 * NAT - An universal Translator
 * Copyright (C) 2005 Bruno Mascret
 * Contact: bmascret@free.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-->




<xsl:stylesheet version="1.0" 
xmlns:xsl='http://www.w3.org/1999/XSL/Transform' 
xmlns:xhtml="http://www.w3.org/1999/xhtml" 
xmlns:m='http://www.w3.org/1998/Math/MathML'
xmlns:doc='espaceDoc'> 

<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="no"/>

<xsl:strip-space elements = "xhtml:head xhtml:meta xhtml:title xhtml:link xhtml:style xhtml:ul xhtml:li m:* m:math m:semantics m:mrow" />

<xsl:template match="/">
	<xsl:text disable-output-escaping="yes">
		&lt;!DOCTYPE doc:doc SYSTEM "./xsl/mmlents/windob.dtd"&gt;
		&lt;doc:doc xmlns:doc="espaceDoc"&gt;
	</xsl:text>
	<xsl:apply-templates select="@*|*|text()|processing-instruction()" />
	<xsl:text disable-output-escaping="yes">
		&lt;/doc:doc&gt;
	</xsl:text>
</xsl:template>

<xsl:template match="xhtml:html|xhtml:body">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="xhtml:head">
</xsl:template>

<xsl:variable name="empty_string"/>

<xsl:template match="xhtml:p|xhtml:h1|xhtml:h2|xhtml:h3|xhtml:h4|xhtml:h5|xhtml:h6|xhtml:h7|xhtml:h8|xhtml:h9">
	<xsl:if test="(text() or local-name(child::*[1])='math' or local-name(child::*[1])='span') and not(string(.)=' ')">
	<!-- Attention au caractère d'espace précédent, il faut le mettre dans le bon jeu de caractère sinon le test ne marche pas!!!! -->
		<phrase>
			<!-- le contenu n'est pas vide; pour simplifier, on crée forcement un tag lit suivi d'un tag mot, s'ils sont vides, on les supprimera dans la feuille de style de transcription -->
			<lit>
				<xsl:if test="local-name(child::*[1])='span'">
					<xsl:text disable-output-escaping="yes">&lt;mot&gt;</xsl:text>
					<xsl:call-template name="remplaceEspace">
						<xsl:with-param name="chaine">
							<xsl:value-of select="child::*[1]" />
						</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
				<xsl:for-each select="text()">
					<xsl:text disable-output-escaping="yes">&lt;mot&gt;</xsl:text>
					<xsl:call-template name="remplaceEspace">
						<xsl:with-param name="chaine">
							<xsl:value-of select="." />
						</xsl:with-param>
					</xsl:call-template>
					<xsl:if test="local-name(following::*[1])='math'">
						<xsl:apply-templates select="following::*[1]"/>
					</xsl:if>
					<xsl:if test="local-name(following::*[1])='span'">
						<xsl:apply-templates select="following::*[1]"/>
					</xsl:if>
				</xsl:for-each>
			</lit>
		</phrase>
	</xsl:if>
</xsl:template>

<xsl:template match="xhtml:span">
	<!-- on suppose qu'on est forcement dans une phrase -->
	<xsl:if test="(text() or local-name(child::*[1])='math' or local-name(child::*[1])='span') and not(string(.)=' ')">
	<!-- Attention au caractère d'espace précédent, il faut le mettre dans le bon jeu de caractère sinon le test ne marche pas!!!! -->
		<xsl:for-each select="text()">
			<xsl:text disable-output-escaping="yes">&lt;mot&gt;</xsl:text>
			<xsl:call-template name="remplaceEspace">
				<xsl:with-param name="chaine">
					<xsl:value-of select="." />
				</xsl:with-param>
			</xsl:call-template>
			<xsl:if test="local-name(following::*[1])='math'">
				<xsl:apply-templates select="following::*[1]"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:if>
</xsl:template>

<!--math recopiés tels quel-->
<xsl:template match="m:math">
	<xsl:text disable-output-escaping="yes">&lt;/lit&gt;</xsl:text>
<!--	<xsl:copy-of select="."/>-->
		<xsl:copy>
			<xsl:apply-templates select="*|text()|processing-instruction()"/>
		</xsl:copy>
	<xsl:text disable-output-escaping="yes">&lt;lit&gt;</xsl:text>
</xsl:template>

<xsl:template match="m:*">
		<xsl:copy>
			<!-- Les entités arrivent TOUTES sous la forme &amp;NOM; (cf mathconverter)
			on demande donc d'interpréter les &amp; pour obtenir en fin: &NOM; sur chaque contenu textuel de noeud -->
			<xsl:value-of disable-output-escaping="yes" select="text()" />
			<xsl:apply-templates select="*|processing-instruction()"/>
		</xsl:copy>
</xsl:template>

<xsl:template name="remplaceEspace">
	<xsl:param name="chaine" />
	<xsl:choose>
		<xsl:when test="string-length($chaine)>0">
			<xsl:if test="contains($chaine, ' ')">
				<xsl:choose>
					<!-- ponctuation seule -->
					<xsl:when test="string-length(substring-before($chaine, ' '))=1 and (contains('”&quot;’,.:;!?»…)]}\}«“‘([{}&lsquo;&rsquo;&acute;&prime;-&mldr;&vellip;&hellip;&dtdot;&ldots;&ctdot;&utdot;',substring(substring-before($chaine, ' '),1,1)))">
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;&lt;ponctuation&gt;</xsl:text>
						<xsl:value-of select="substring-before($chaine, ' ')" />
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:when test='string-length(substring-before($chaine, " "))=1 and substring(substring-before($chaine, " "),1,1)="&apos;"'>
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;&lt;ponctuation&gt;&apos;&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:when test="string-length(substring-before($chaine, ' '))=3 and substring(substring-before($chaine, ' '),1,3)='...'">
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;&lt;ponctuation&gt;</xsl:text>
						<xsl:text>...</xsl:text>
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<!-- ponctuation à la fin du mot sans espace -->
					<xsl:when test="substring(substring-before($chaine, ' '), string-length(substring-before($chaine, ' '))-2, string-length(substring-before($chaine, ' ')))='...'">
						<xsl:call-template name="remplaceEspace">
						<xsl:with-param name="chaine">
							<xsl:value-of select="substring(substring-before($chaine, ' '),1,string-length(substring-before($chaine, ' '))-3)" />
						</xsl:with-param>
						</xsl:call-template>
						<xsl:text disable-output-escaping="yes">&lt;ponctuation&gt;</xsl:text>
						<xsl:text>...</xsl:text>
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:when test="contains('”&quot;’,.:;!?»«…)]}\}«“‘([{}&lsquo;&rsquo;&acute;&prime;-&mldr;&vellip;&hellip;&dtdot;&ldots;&ctdot;&utdot;',substring(substring-before($chaine, ' '), string-length(substring-before($chaine, ' ')), string-length(substring-before($chaine, ' '))))">
						<xsl:call-template name="remplaceEspace">
						<xsl:with-param name="chaine">
							<xsl:value-of select="substring(substring-before($chaine, ' '),1,string-length(substring-before($chaine, ' '))-1)" />
						</xsl:with-param>
						</xsl:call-template>
						<xsl:text disable-output-escaping="yes">&lt;ponctuation&gt;</xsl:text>
						<xsl:value-of select="substring(substring-before($chaine, ' '), string-length(substring-before($chaine, ' ')), string-length(substring-before($chaine, ' ')))" />
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring-before($chaine, ' ')" />
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="string-length(substring-after($chaine, ' '))>0">
					<xsl:text disable-output-escaping="yes">&lt;mot&gt;</xsl:text>
					<xsl:call-template name="remplaceEspace">
						<xsl:with-param name="chaine">
							<xsl:value-of select="substring-after($chaine, ' ')" />
						</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
			<xsl:if test="not(contains($chaine, ' '))">
				<xsl:choose>
					<!-- ponctuation seule -->
					<xsl:when test="string-length($chaine)=1 and (contains('”&quot;’,.:;!?»…)]}\}«“‘([{}&lsquo;&rsquo;&acute;&prime;-&mldr;&vellip;&hellip;&dtdot;&ldots;&ctdot;&utdot;',string($chaine)))">
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;&lt;ponctuation&gt;</xsl:text>
						<xsl:value-of select="string($chaine)" />
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:when test='string($chaine)="&apos;"'>
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;&lt;ponctuation&gt;&apos;&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:when test="string($chaine)='...'">
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;&lt;ponctuation&gt;</xsl:text>
						<xsl:text>...</xsl:text>
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<!-- ponctuation à la fin du mot sans espace -->
					<xsl:when test="substring($chaine, string-length($chaine)-2, string-length($chaine))='...'">
						<xsl:call-template name="remplaceEspace">
						<xsl:with-param name="chaine">
							<xsl:value-of select="substring($chaine,1,string-length($chaine)-3)" />
						</xsl:with-param>
						</xsl:call-template>
						<xsl:text disable-output-escaping="yes">&lt;ponctuation&gt;</xsl:text>
						<xsl:text>...</xsl:text>
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:when test="contains('”&quot;’,.:;!?»…)]}\}«“‘([{}&lsquo;&rsquo;&acute;&prime;-&mldr;&vellip;&hellip;&dtdot;&ldots;&ctdot;&utdot;',substring($chaine,string-length($chaine),string-length($chaine)))">
						<xsl:call-template name="remplaceEspace">
						<xsl:with-param name="chaine">
							<xsl:value-of select="substring($chaine,1,string-length($chaine)-1)" />
						</xsl:with-param>
						</xsl:call-template>
						<xsl:text disable-output-escaping="yes">&lt;ponctuation&gt;</xsl:text>
						<xsl:value-of select="substring($chaine, string-length($chaine), string-length($chaine))" />
						<xsl:text disable-output-escaping="yes">&lt;/ponctuation&gt;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$chaine" />
						<xsl:text disable-output-escaping="yes">&lt;/mot&gt;</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&lt;/mot&gt;</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>